ci: only setup git/gpg on master builds

This commit is contained in:
Jörg Thalheim 2020-03-12 14:01:10 +00:00
parent 70a4358cfe
commit 19b5bfb47c
No known key found for this signature in database
GPG key ID: 003F2096411B5F92

View file

@ -5,12 +5,11 @@ set -eu -o pipefail # Exit with nonzero exit code if anything fails
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
source ${DIR}/lib/travis-functions.sh
source ${DIR}/lib/setup-git.sh
nix-build --quiet release.nix
if ! is-automatic-update; then
bash $DIR/lint.sh
source $DIR/lint.sh
fi
set -x
@ -18,8 +17,11 @@ set -x
result/bin/nur update
nix-build
# Move everything below to a different job
dont-continue-on-pull-requests
source ${DIR}/lib/setup-git.sh
git clone git@github.com:nix-community/nur-combined
result/bin/nur combine \